首页新闻找找看学习计划

linux下为什么不能用alibaba的json解析工具呢?

0
[已关闭问题] 关闭于 2017-11-22 10:05

  在Windows下就没事 放到linux下就报错,求大神为我解惑 感恩感恩啊

user6的主页 user6 | 初学一级 | 园豆:188
提问于:2017-11-21 10:05
< >
分享
所有回答(4)
0

你应该知道Windows和Linux环境的区别很不一样啊。你找找Linux下面的版本,你问这个问题就像:我在苹果电脑下运行好好的软件直接拷贝到安卓怎么不能用,所以这个时候你要看看有没有安卓版本的这个软件。

☺我命由我不由天☺ | 园豆:84 (初学一级) | 2017-11-21 10:10
0

应该是可以用的 需要选择合适的版本

ycyzharry | 园豆:20158 (高人七级) | 2017-11-21 10:37

我找了半天没找到有什么别的系统环境的版本啊,是不是liunx需要配置什么 

支持(0) 反对(0) user6 | 园豆:188 (初学一级) | 2017-11-21 10:39

@user6:试试这个版本 http://www.linuxidc.com/Linux/2016-05/131662.htm

支持(0) 反对(0) ycyzharry | 园豆:20158 (高人七级) | 2017-11-21 10:51
0

把你的报错贴出来.不然我的法力不够.算不了

吴瑞祥 | 园豆:28747 (高人七级) | 2017-11-21 10:57

它就是提示alibaba的那个json解析工具某一行出错,在windows下就没事 所以我想问liunx下是不是需要配置什么东西还是版本不行 

支持(0) 反对(0) user6 | 园豆:188 (初学一级) | 2017-11-21 11:01
0

大部分web项目最终都布置到linux下了  但是开发一般都是在Windows下开发的  也没见出过这样的问题。

初学者max | 园豆:257 (菜鸟二级) | 2017-11-21 13:38

是不是json解析工具有问题,有没有什么更兼容的工具,能不能麻烦推荐下 

支持(0) 反对(0) user6 | 园豆:188 (初学一级) | 2017-11-21 14:21

@user6: 不知道你的具体情况 你可以试试Jackson 另外这篇文章可能对你有帮助

http://blog.csdn.net/jadyer/article/details/24395015?utm_source=tuicool&utm_medium=referral

支持(0) 反对(0) 初学者max | 园豆:257 (菜鸟二级) | 2017-11-21 14:29

@user6: 另外windows没问题  linux有问题 是不是转义字符的问题?你检查下json的内容

支持(0) 反对(0) 初学者max | 园豆:257 (菜鸟二级) | 2017-11-21 14:33

@初学者max: 主要是根本没有获取到json,不用这个工具包就可以获取到

支持(0) 反对(0) user6 | 园豆:188 (初学一级) | 2017-11-21 14:34
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册